Subject: Java GSS bindings: a case study

From: Michael Smith <[email-masked]>
Date: Thu, 17 Dec 1998 12:33:20 -0500

I've posted Javadoc and a bit of explanatory 
verbiage for the Java GSS binding we're using here 
at TIAA-CREF: 

<http://www.panix.com/~jlefevre/GSS>.

I'd be most interested to hear comments on it.
There's also javadoc for a package comprising 
a lightweight implementation of an actual 
mechanism under this GSS binding. 

This binding takes the approach of defining
interfaces to comprise the Java binding; 
actual implementations then, er, implement 
these. There's some discussion of means 
by which the actual class(es) implementing the 
GSS interfaces can be obtained at run time 
by an application. 

This approach contrasts with the one described
in Jack Kabat's Internet-Draft, which describes, 
so to speak, a skeleton repertoire of members
and methods; these need to be implemented by concrete
classes. The names of these concrete classes
are then used by applications at the source-code
level to type object references, rather than 
(as I do) using the names of the GSS interfaces
to type such references.  (Apologies to 
Jack if I've misremembered how this works). 

A very pleasant holiday, and a happy and highly 
secure New Year, to all my fellow
CATniks, Java weenies, and crypto wonks. 

--Michael Smith
  [email-masked]

==========================================================================
This message was posted through the Stanford campus mailing list
server.  If you wish to unsubscribe from this mailing list, send the
message body of "unsubscribe ietf-cat-wg" to [email-masked]